Subject: bug#51559: [PATCH v2] gnu: webkit: Disable SSE2 when not on x86_64.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 06 Nov 2021 10:42:25 +0100

Hi,

Am Samstag, den 06.11.2021, 04:55 -0400 schrieb Mark H Weaver:
> Hi Liliana,
> 
> I have one more comment:
> 
> Liliana Marie Prikler <[email-masked]> writes:
> > @@ -241,7 +241,7 @@ (define-public webkitgtk
> >      (build-system cmake-build-system)
> >      (outputs '("out" "doc"))
> >      (arguments
> > -     '(#:tests? #f ; no tests
> > +     `(#:tests? #f ; no tests
> >         #:build-type "Release" ; turn off debugging symbols to save
> > space
> >         #:configure-flags (list
> >                            "-DPORT=GTK"
> 
> You'll need to remove this hunk in order to apply this to 'master',
> since I've already made the change above in commit
> 4fd12fb00d595b6f6a5d5cc734863f4c4bc5f46c.
git pull did that automatically (I love rebasing pulls).

> > @@ -295,6 +295,13 @@ (define-public webkitgtk
> >                   (("libWPEBackend-fdo-([\\.0-9]+)\\.so" all
> > version)
> >                    (string-append wpebackend-fdo "/lib/" all)))
> >                 #t)))
> > +         ,@(if (string-prefix? "x68_64" (or (%current-target-
> > system)
> > +                                            (%current-system)))
> > +               '()
> > +               '((add-after 'unpack 'disable-sse2
> > +                   (lambda _
> > +                     (substitute* "Source/cmake/DetectSSE2.cmake"
> > +                       (("CHECK_FOR_SSE2\\(\\)") ""))))))
> 
> As a general recommendation, it would be preferable to add the phase
> only on the systems that need it (32-bit x86), instead of adding it
> on every system except x86_64.  The code above will force rebuilds on
> every system other than x86_64, whereas if the test was done as I
> suggested, rebuilds would only happen on 32-bit x86 systems.
I chose this variant, because x86_64 is the only architecture in which
we allow sse2 as of right now.  Better be safe than allowing for a
potential "i786" in the future :P

> However, in this particular case it hardly matters, since our libsoup
> package currently fails to build on any system that's not x86-based.
That sounds awful.  Is there a related bug?

I've pushed my patch with the spelling error corrected.  This is the
last webkitgtk-related issue for now, right?

Thanks,
Liliana